Audacious - OLD, PLEASE USE GITHUB DISCUSSIONS/ISSUES - Bug #487

3.6 alpha 1: sndio plugin fails to build
December 08, 2014 14:15 - Alin Andrei
Description
Hello,

I'm trying to build audacious-plugins 3.6 alpha 1 in an Ubuntu 14.10 (using "--with-ffmpeg=libav --enable-gt") PPA and sndio fails to
build with the following error:

make[6]: Entering directory '/build/buildd/audacious-plugins-3.5.99/src/sndio-ng’
Compiling sndio.cc (plugin)...

Successfully linked sdlout.so.

makel[6]: Leaving directory ‘/build/buildd/audacious-plugins-3.5.99/src/sdlout’
make[5]: Leaving directory '/build/buildd/audacious-plugins-3.5.99/src/sdlout’
Leaving directory sdlout.

Entering directory filewriter.

make[5]: Entering directory '/build/buildd/audacious-plugins-3.5.99/src/filewriter'
make[6]: Entering directory '/build/buildd/audacious-plugins-3.5.99/src/filewriter'
Generating dependencies...

make([7]: Entering directory '/build/buildd/audacious-plugins-3.5.99/src/filewriter'
Successfully compiled alsa.cc (plugin).

Compiling config.cc (plugin)...

In file included from /usr/include/libroar/libroar.h:153:0,

from /usr/include/roaraudio.h:133,

from /usr/include/libroarsndio/libroarsndio.h:52,

from /usr/include/sndio.h:9,

from sndio.cc:34:

/usr/include/libroar/services.h:128:8: error: expected unqualified-id before 'new'
int (*new)(const struct roar_audio_info * info, int dir, int parent, int mixer);

A

/usr/include/libroar/services.h:128:8: error: expected ')’ before 'new'

sndio.cc: In member function 'virtual bool SndioPlugin::open_audio(int, int, int)':
sndio.cc:186:64: error: 'SIO_DEVANY' was not declared in this scope

const char * device2 = device[0] ? (const char *) device : SIO_DEVANY;

A

Failed to compile sndio.cc (plugin)!

../../buildsys.mk:413: recipe for target 'sndio.plugin.o' failed

make[6]: *** [sndio.plugin.o] Error 1

You can find the complete log here:
https://launchpadlibrarian.net/192098713/buildlog_ubuntu-utopic-amd64.audacious-plugins_3.5.99-1~alphal~webupd8~utopic1_FAI
LEDTOBUILD.ixt.gz

(The log file is for 64bit, but this also occurs on 32bit)

History

#1 - December 08, 2014 21:14 - John Lindgren

I'd suggest disabling sndio on Ubuntu, since it's really meant for OpenBSD.

#2 - December 08, 2014 22:09 - Thomas Lange

Is it not possible to check for "SIO_DEVANY" in configure.ac like here?
https://github.com/pigoz/mplayer-svn/commit/60d86808e0109e6b6c12365a5102e6240aa124d9#diff-e2d5a00791bce9a01f99bc6fd613a39dR5886
#3 - December 08, 2014 22:57 - John Lindgren

It would be better for RoarAudio to stop pretending that it's sndio when it can't even provide a compatible header. There is a working Linux port of
sndio which does work with Audacious; see http:/www.sndio.org/install.html.

#4 - December 12, 2014 21:49 - John Lindgren

- Status changed from New to Rejected

I'm going to say RoarAudio isn't supported for now and close the issue. The PulseAudio output plugin should be used on Ubuntu.
